## avimux avimux — Muxes audio and video into an avi stream |

## Properties

gboolean | bigfile | Read / Write

## Types and Values

struct | GstAviMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAviMux

## Implemented Interfaces

GstAviMux implements GstTagSetter.

## Description

Muxes raw or compressed audio and/or video streams into an AVI file.

### Example launch lines

(write everything in one line, without the backslash characters)

    1
    2
    3
    4
    5
    6
    gst-launch-1.0 videotestsrc num-buffers=250 \
    ! 'video/x-raw,format=(string)I420,width=320,height=240,framerate=(fraction)25/1' \
    ! queue ! mux. \
    audiotestsrc num-buffers=440 ! audioconvert \
    ! 'audio/x-raw,rate=44100,channels=2' ! queue ! mux. \
    avimux name=mux ! filesink location=test.avi

This will create an .AVI file containing an uncompressed video stream with a test picture and an uncompressed audio stream containing a test sound.

    1
    2
    3
    4
    5
    6
    gst-launch-1.0 videotestsrc num-buffers=250 \
    ! 'video/x-raw,format=(string)I420,width=320,height=240,framerate=(fraction)25/1' \
    ! xvidenc ! queue ! mux. \
    audiotestsrc num-buffers=440 ! audioconvert ! 'audio/x-raw,rate=44100,channels=2' \
    ! lame ! queue ! mux. \
    avimux name=mux ! filesink location=test.avi

This will create an .AVI file containing the same test video and sound as above, only that both streams will be compressed this time. This will only work if you have the necessary encoder elements installed of course.

## Synopsis

### Element Information

plugin | avi
author | GStreamer maintainers <gstreamer-devel@lists.sourceforge.net>
class | Codec/Muxer

### Element Pads

name | audio_%u
direction | sink
presence | request
details | audio/x-raw, format=(string){ U8, S16LE }, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)4, stream-format=(string)raw, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-ac3, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ]
| audio/x-alaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-wma, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], wmaversion=(int)[ 1, 2 ]

name | video_%u
direction | sink
presence | request
details | video/x-raw, format=(string){ YUY2, I420, BGR, BGRx, BGRA, GRAY8, UYVY }, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| image/jpeg, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-divx, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ], divxversion=(int)[ 3, 5 ]
| video/x-msmpeg, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ], msmpegversion=(int)[ 41, 43 ]
| video/mpeg, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ], mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-h263, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-h264, stream-format=(string)byte-stream, alignment=(string)au, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-dv, width=(int)720, height=(int){ 576, 480 }, framerate=(fraction)[ 0/1, 2147483647/1 ], systemstream=(boolean)false
| video/x-huffyuv, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-wmv, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ], wmvversion=(int)[ 1, 3 ]
| image/x-jpc, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-vp8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-msvideo

## Functions

## Types and Values

### struct GstAviMux

    struct GstAviMux;

## Property Details

### The `“bigfile”` property

      “bigfile”                  gboolean

Support for openDML-2.0 (big) AVI files.

Flags: Read / Write

Default value: TRUE